%define upstream_name    Catalyst-Plugin-Cache-Store-FastMmap
%define upstream_version 0.02

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 12

Summary:    A thin wrapper for
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Catalyst/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Cache::FastMmap)
BuildRequires: perl(Catalyst)
BuildRequires: perl(Catalyst::Plugin::Cache)
BuildRequires: perl(Path::Class)
BuildRequires: perl(Module::Build::Compat)
BuildRequires: perl(Test::Exception)
BuildRequires: perl(Test::use::ok)
BuildArch: noarch


%description
This store plugin is a bit of a wrapper for the Cache::FastMmap manpage.

While you could normally just configure with

    backend => {
        class => "Cache::FastMmap",
        share_file => ...,
    }

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc META.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Tue Mar 29 2022 umeabot <umeabot> 0.20.0-12.mga9
+ Revision: 1831370
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.20.0-11.mga8
+ Revision: 1493450
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.20.0-10.mga7
+ Revision: 1265961
- Mageia 7 Mass Rebuild

* Sat Jun 18 2016 pterjan <pterjan> 0.20.0-9.mga6
+ Revision: 1023285
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.20.0-8.mga6
+ Revision: 948378
- Mageia 6 Mass Rebuild

* Sat Oct 18 2014 umeabot <umeabot> 0.20.0-7.mga5
+ Revision: 787834
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.20.0-6.mga5
+ Revision: 748855
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.20.0-5.mga5
+ Revision: 683807
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.20.0-4.mga4
+ Revision: 509692
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.20.0-3.mga3
+ Revision: 363984
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jan 26 2011 jquelin <jquelin> 0.20.0-2.mga1
+ Revision: 41016
- mageia rebuild
- imported package perl-Catalyst-Plugin-Cache-Store-FastMmap


* Sat Dec 04 2010 Shlomi Fish <shlomif@mandriva.org> 0.20.0-2mdv2011.0
+ Revision: 609251
- Add missing build dependencies
- import perl-Catalyst-Plugin-Cache-Store-FastMmap

